'use strict'

import test from 'ava'
import fixerRate from './../'

test('get rate', async t => {
  const getRate = fixerRate().then(res => res)
  const base = getRate.then(res => res.base)

  t.is(await typeof getRate, 'object')
  t.is(await base, 'USD')
})

test('brl base', async t => {
  const getRate = fixerRate('BRL').then(res => res)
  const base = getRate.then(res => res.base)

  t.is(await base, 'BRL')
})
