# fixer-io
> A foreign exchange rates and currency conversion API.

[![Codeship Status for bukinoshita/fixer-rate](https://app.codeship.com/projects/b0f3cdd0-9f0a-0134-f7d3-666295f6c944/status?branch=master)](https://app.codeship.com/projects/189191)

The rates are updated daily around 4PM CET.

## Install

```bash
$ npm install --save fixer-rate
```

## Usage

```js
const fixerRate = require('fixer-rate')

fixerRate().then(rates => {
  console.log(rates)
})
```

## API

### fixerRate(base)

#### base
Type: `string`<br>
Default: `USD`<br>
Options: [options](https://github.com/bukinoshita/fixer-rate/blob/development/options.json)<br>
Required

## License

[MIT](https://raw.githubusercontent.com/bukinoshita/fixer-rate/master/LICENSE) &copy; Bu Kinoshita
